Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 689340

Summary: dev-util/conf2struct-0_pre0-r1: keyword ~arm ~m68k ~mips ~s390 ~x86
Product: Gentoo Linux Reporter: Craig Andrews <candrews>
Component: KeywordingAssignee: Craig Andrews <candrews>
Status: RESOLVED FIXED    
Severity: normal CC: candrews, kensington
Priority: Normal Keywords: CC-ARCHES, KEYWORDREQ
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
>=dev-util/conf2struct-1.0-r1 ~arm ~m68k ~mips ~s390 ~x86
Runtime testing required: ---
Bug Depends on: 798462, 689338, 690152    
Bug Blocks:    

Description Craig Andrews gentoo-dev 2019-07-06 00:41:44 UTC
Please add keywords ~arm ~m68k ~mips ~s390 ~sh ~x86 to dev-util/conf2struct-0_pre0

dev-util/conf2struct is going to be build dependency of net-misc/sslh which already has all of these keywords.
Comment 1 Stabilization helper bot gentoo-dev 2019-07-06 01:00:33 UTC
An automated check of this bug failed - repoman reported dependency errors (83 lines truncated): 

> dependency.bad dev-util/conf2struct/conf2struct-0_pre0.ebuild: DEPEND: ~arm(default/linux/arm/17.0) ['dev-perl/Conf-Libconfig']
> dependency.bad dev-util/conf2struct/conf2struct-0_pre0.ebuild: RDEPEND: ~arm(default/linux/arm/17.0) ['dev-perl/Conf-Libconfig']
> dependency.bad dev-util/conf2struct/conf2struct-0_pre0.ebuild: DEPEND: ~x86(default/linux/x86/17.0) ['dev-perl/Conf-Libconfig']
Comment 2 Thomas Deutschmann gentoo-dev Security 2019-07-18 14:30:42 UTC
x86 stopped due to bug 690152.
Comment 3 Craig Andrews gentoo-dev 2019-07-19 15:48:41 UTC
Updated request to be for dev-util/conf2struct-0_pre0-r1
Comment 4 Craig Andrews gentoo-dev 2019-07-24 15:26:34 UTC
arches, can you please perform the keywording?

Thanks!
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-08-02 11:18:50 UTC
~arm keyworded
Comment 6 Thomas Deutschmann gentoo-dev Security 2019-11-26 11:00:13 UTC
x86 keyworded
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-03-26 14:07:37 UTC
SuperH port disbanded.
Comment 8 NATTkA bot gentoo-dev 2020-04-11 06:15:37 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2020-04-11 14:56:59 UTC Comment hidden (obsolete)
Comment 10 Sam James archtester gentoo-dev Security 2020-07-13 17:00:05 UTC
~s390 added
Comment 11 NATTkA bot gentoo-dev 2021-01-02 00:53:09 UTC Comment hidden (obsolete)
Comment 12 Larry the Git Cow gentoo-dev 2021-05-23 22:23:54 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac725332aae519d15d24bd70748a75283d3b1e06

commit ac725332aae519d15d24bd70748a75283d3b1e06
Author:     Joshua Kinard <kumba@gentoo.org>
AuthorDate: 2021-05-23 22:23:01 +0000
Commit:     Joshua Kinard <kumba@gentoo.org>
CommitDate: 2021-05-23 22:23:40 +0000

    dev-util/conf2struct: Added ~mips to KEYWORDS
    
    Bug: https://bugs.gentoo.org/689340
    Signed-off-by: Joshua Kinard <kumba@gentoo.org>
    Package-Manager: Portage-3.0.18, Repoman-3.0.3

 dev-util/conf2struct/conf2struct-1.3-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 13 Joshua Kinard gentoo-dev 2021-05-23 22:26:09 UTC
Added ~mips to KEYWORDS.
Comment 14 James Le Cuirot gentoo-dev 2021-09-21 20:05:09 UTC
I want to keyword this for ~m68k but both 1.0 and 1.3 are affected by bug #798462. Please bump the package to 1.5 first.

Also -mips was added instead of ~mips, which I suspect wasn't intentional. I'll fix that once the bump is done.
Comment 15 Larry the Git Cow gentoo-dev 2021-09-21 22:29:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f1bfdeaad5666fff6e2fa0322380ad46223331f

commit 0f1bfdeaad5666fff6e2fa0322380ad46223331f
Author:     James Le Cuirot <chewi@gentoo.org>
AuthorDate: 2021-09-21 22:26:57 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2021-09-21 22:28:47 +0000

    dev-util/conf2struct: Keyword 1.5 for ~m68k
    
    Closes: https://bugs.gentoo.org/689340
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 dev-util/conf2struct/conf2struct-1.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e3311c6f4e958e8a96aecfdbc9375b830ca0d90

commit 3e3311c6f4e958e8a96aecfdbc9375b830ca0d90
Author:     James Le Cuirot <chewi@gentoo.org>
AuthorDate: 2021-09-21 22:28:01 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2021-09-21 22:28:50 +0000

    dev-util/conf2struct: Correct ~mips keyword
    
    It was added as -mips by mistake.
    
    Bug: https://bugs.gentoo.org/689340
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 dev-util/conf2struct/conf2struct-1.3-r1.ebuild | 2 +-
 dev-util/conf2struct/conf2struct-1.5.ebuild    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)